Bug 503165 - Running fcoeadm -i ethx before loading fcoe module stack displays "fcoeadm: free(): invalid pointer
Running fcoeadm -i ethx before loading fcoe module stack displays "fcoeadm: f...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: fcoe-utils (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Zeleny
Depends On:
  Show dependency treegraph
Reported: 2009-05-29 07:23 EDT by Jan Zeleny
Modified: 2011-02-18 04:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 498550
: 678487 (view as bug list)
Last Closed: 2009-09-02 06:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Zeleny 2009-05-29 07:23:53 EDT
Description of problem:
Running fcoeadm -i ethx before loading the fcoe module stack results in a
backtrace getting dumped to the screen calling out "fcoeadm: free(): invalid
pointer:".  This occurs if fcoe does not get loaded during boot and an attempt
to view the interface with fcoeadm is made.  It also occurs if the module stack
is unloaded all the way down through scsi_transport_fc.

Version-Release number of selected component (if applicable):
Fedora 11 preview, fcoeadm v1.0.7

How reproducible:

Steps to Reproduce:
# rmmod fcoe
# rmmod libfc
# fcoeadm -i eth2
# lsmod
# rmmod scsi_transport_fc
# fcoeadm -i eth2

Actual results:
A call trace referenced invalid pointer is printed to console.

Expected results:
Should provide a useful error message rather then a backtrace.
Comment 1 RHEL Product and Program Management 2009-05-29 07:29:35 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2009-09-02 06:02:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.